# 2 Dimensional Ising Model: src/main.cpp File Reference

Loading...
Searching...
No Matches
main.cpp File Reference

The main program. More...

`#include "data_type.hpp"`
`#include "monte_carlo.hpp"`
`#include "utils.hpp"`
`#include <getopt.h>`

Go to the source code of this file.

## Functions

void | create_burn_in_time_data ()
| Create the data for the burn-in time for temperatures 1.0 and 2.4 for both unordered and ordered initial states.
void | create_pd_estimate_data ()
| Create the data used to estimate the probability distribution for tempratures 1.0 anbd 2.4.
void | test_burn_in_time ()
| Create data using the same parameters except one uses burn-in time, while the other doesn't.
void | test_parallel_speedup ()
| Test how much Openmp speeds up.
void | create_phase_transition_data ()
| Create data for studying phase transition.
void | usage (std::string filename)
| A function that displays how to use the program and quits.
int | main (int argc, char **argv)
| The main function.

## Detailed Description

The main program.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  0.1

Bug:
  No known bugs

Definition in file main.cpp.

## Function Documentation

## create_burn_in_time_data()

void create_burn_in_time_data | ( |  | ) |

Create the data for the burn-in time for temperatures 1.0 and 2.4 for both unordered and ordered initial states.

Definition at line 21 of file main.cpp.

## create_pd_estimate_data()

void create_pd_estimate_data | ( |  | ) |

Create the data used to estimate the probability distribution for tempratures 1.0 anbd 2.4.

Definition at line 37 of file main.cpp.

## create_phase_transition_data()

void create_phase_transition_data | ( |  | ) |

Create data for studying phase transition.

Definition at line 83 of file main.cpp.

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

The main function.

Definition at line 125 of file main.cpp.

## test_burn_in_time()

void test_burn_in_time | ( |  | ) |

Create data using the same parameters except one uses burn-in time, while the other doesn't.

Definition at line 49 of file main.cpp.

## test_parallel_speedup()

void test_parallel_speedup | ( |  | ) |

Test how much Openmp speeds up.

Definition at line 60 of file main.cpp.

## usage()

void usage | ( | std::string | filename | ) |

A function that displays how to use the program and quits.

Definition at line 110 of file main.cpp.